by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Jun 03 09:51
    EwoudSmeur synchronize #2536
  • Jun 03 09:22
    Travis gautierhattenberger/paparazzi (navDev-test) passed (7)
  • Jun 02 13:55
    EwoudSmeur synchronize #2536
  • Jun 02 13:44
    EwoudSmeur synchronize #2536
  • May 30 13:17
    dewagter commented #2536
  • May 29 08:12
    gautierhattenberger commented #2537
  • May 28 20:19
    EwoudSmeur commented #2537
  • May 28 20:03
  • May 28 19:55
    EwoudSmeur opened #2537
  • May 28 19:38
    EwoudSmeur synchronize #2533
  • May 28 15:25
  • May 28 14:58
    EwoudSmeur synchronize #2533
  • May 27 15:29
    noether commented #2533
  • May 27 15:25
    EwoudSmeur commented #2536
  • May 27 15:16
    gautierhattenberger commented #2533
  • May 27 15:09
    gautierhattenberger commented #2536
  • May 27 15:02
    noether commented #2533
  • May 27 15:00
  • May 27 14:53
    gautierhattenberger commented #2533
  • May 27 14:44
    EwoudSmeur commented #2533
Gautier Hattenberger
@gautierhattenberger
@yoosofpiran did you try to start the paparazzi center from the terminal ? are you using gnome or KDE as desktop ?
@tokiyoki it should be possible although it is not really documented.
relevant configuration files are: https://github.com/paparazzi/paparazzi/blob/master/conf/boards/stm32f4_discovery.makefile and https://github.com/paparazzi/paparazzi/blob/master/sw/airborne/boards/stm32f4_discovery.h
you just need to change the board type for stm32f4_discovery in the ap target of you airframe file.
Piotr Esden-Tempski
@esden
He means stm32f3 that has an imitation chip on it
There was some effort to port paparazzi to that a long time ago but it was not finalized
As libopencm3 has support for the f3 by now the port should be quite streight forward if you know how to do embedded programming :)
Gautier Hattenberger
@gautierhattenberger
true, sorry, I misread it
Piotr Esden-Tempski
@esden
With imitation I meant IMU
Autocorrect hits once again:)
Petter
@Petterhg
Hello,
I am using the Optitrack system at TU Delft and have some problems with flying at higher altitudes. To be more precise, when I'm flying the Bebop between 2.5-3 meters fix alt. the altitude can vary ALOT when going from one waypoint to another and the drone can also completely deviate from the flight plan and start accelerating into the net (both on the sides and in the roof). At lower altitudes 1-2 m everything is working fine. Does anyone have any idea what can cause this?
Bart Slinger
@bartslinger
Optitrack is not a perfect system. If you fly higher, the drone is seen by less cameras which may result in difficulty with tracking. The best option you have is probably to recalibrate the arena before flying.
Yannick Jestin
@yannickj
we’re in the process of building a Flying Arena in ENAC, (est: july 2017) with optitrack or a similar kind of system. Hopefully, we’ll end up contributing to the tracking code.
Petter
@Petterhg
Okay, so you don't think there is anything in the flightplan/airframe that can cause this behaviour? And there's also no way (except calibration) to amend or decrease the amplitude of the problem?
Dan Berry
@dgberry1
When creating new messages, is there a particular section to create them in? Which message.XML file? I found 2 different ones in the PaparazziUAV install. Then, do I need to rebuild paparazzi after creating them?
Felix Ruess
@flixr
@dgberry1 message definitions are in the pprzlink repo: https://github.com/paparazzi/pprzlink/blob/master/message_definitions/v1.0/messages.xml
in paparazzi this is added in sw/ext/pprzlink/message_definitions/v1.0/messages.xml and copied to var/messages.xml on make
and yes, you need to call the toplevel make after changing messages
if you put a messages.xml file in conf/, that will be used instead...
Dan Berry
@dgberry1
@flixr OK thanks
Dan Berry
@dgberry1
Is there a particular section in the messages.XML I want to use? I was going to use ground messages section. Do I just pich a free message number? Just to make sure.
Felix Ruess
@flixr
that depends what kind of message you want to add...
if you want to send something from the aircraft to the ground, add it to "telemetry", for sending to the aircraft to "datalink" and if it's only a message between ground agents - well - to "ground"
Dan Berry
@dgberry1
@flixr this is from an in-flight computer to the autopilot.
rambalakrishnan
@rambalakrishnan
is there a way to access the bebop front camera?
Felix Ruess
@flixr
averroken
@averroken
Hi
Felix Ruess
@flixr
hi @averroken
rambalakrishnan
@rambalakrishnan
@flixr thank you for your help yesterday, and all your help two weeks ago - I really appreciate it
averroken
@averroken
have anyone experience here for control the ar drone with at commands ?
ikenshini
@ikenshini
at commands?
averroken
@averroken
dat zijn text strings en 32 signed bit integer, met parameters
Felix Ruess
@flixr
you mean the sdk version? that is not supported in Paparazzi anymore, but there might still be some info on some AT commands on the wiki
ikenshini
@ikenshini
From that link - I think that's commanding without paparazzi, no? Looks like how the parrot app communicates with the drone
averroken
@averroken
oh, i thought paparazzi is a wiki page with chat, i use processing in sublime text. yes, it's for communicates with drone
i was just searched for info about the commands, and was here on this site,
ikenshini
@ikenshini
averroken
@averroken
ah, that is another thing
ikenshini
@ikenshini
yes - but it works with the AR Drone, it is used for autonomous flights - much easier than programming a drone without it
but if you're doing something simple, AT commands can be used
averroken
@averroken
what i'm trying to do is control a ar drone with a kinect v1.
but i didn't understand how the at commands works, thats more the problem.
Dan Berry
@dgberry1
Has anybody had this error when installing the gcc-arm-embedded repository?
Errors were encountered while processing:
/var/cache/apt/archives/libstdc++6-armhf-cross_4.8.4-2ubuntu1~14.04.1cross0.11.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Felix Ruess
@flixr
@dgberry1 that seems to be a bug in ubuntu packaging: https://bugs.launchpad.net/ubuntu/+source/gcc-4.8-armhf-cross/+bug/1557205
Dan Berry
@dgberry1
@flixr Okay I'm checking it out. I found other having this issue too.
does the 4.9 version work with paparazzi?
Felix Ruess
@flixr
yes, we also ran into this bug in our travis builds, that's why I disabled them for now (as they always error because of this)
4.9 should work... but I haven't tested it...
Dan Berry
@dgberry1
okay thanks.